"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = readTasks;

var _keys = require("babel-runtime/core-js/object/keys");

var _keys2 = _interopRequireDefault(_keys);

var _typeof2 = require("babel-runtime/helpers/typeof");

var _typeof3 = _interopRequireDefault(_typeof2);

var _path = require("path");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Reads `package.json` in current directry, and gets all npm-scripts names.
 * If `package.json` has not found, throws an error.
 *
 * @returns {string[]} npm-scripts names.
 * @private
 */
function readTasks() {
  var packageJsonPath = (0, _path.join)(process.cwd(), "package.json");
  var packageJson = require(packageJsonPath);
  var scripts = packageJson && packageJson.scripts;
  if ((typeof scripts === "undefined" ? "undefined" : (0, _typeof3.default)(scripts)) === "object" && !Array.isArray(scripts)) {
    return (0, _keys2.default)(scripts);
  }
  return [];
} /**
   * @author Toru Nagashima
   * @copyright 2015 Toru Nagashima. All rights reserved.
   * See LICENSE file in root directory for full license.
   */