"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = whichNpm;

var _promise = require("babel-runtime/core-js/promise");

var _promise2 = _interopRequireDefault(_promise);

var _create = require("babel-runtime/core-js/object/create");

var _create2 = _interopRequireDefault(_create);

var _which = require("which");

var _which2 = _interopRequireDefault(_which);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var cache = (0, _create2.default)(null);

/**
 * Gets a file path of `npm` command.
 *
 * @returns {Promise<string>}
 *   A promise object which becomes fullfilled when it got a file path of `npm` command.
 * @private
 */
/**
 * @author Toru Nagashima
 * @copyright 2015 Toru Nagashima. All rights reserved.
 * See LICENSE file in root directory for full license.
 */
function whichNpm() {
    var cwd = process.cwd();
    if (cache[cwd] == null) {
        cache[cwd] = new _promise2.default(function (resolve, reject) {
            (0, _which2.default)("npm", function (err, npmPath) {
                if (err != null) {
                    reject(err);
                } else {
                    resolve(npmPath);
                }
            });
        });
    }

    return cache[cwd];
}